Get Discovered Application Summaries

Get Discovered Application Summaries
Get discovered application summaries in bulk

Get the summaries of discovered applications in bulk, by providing a list of entity IDs.

Request
URI
GET
https://{api_host}/api/ni/groups/discovered-applications/fetch
COPY
Query Parameters
number
size
Optional
Constraints: default: 10

Page size of results

string
cursor
Optional

Cursor from previous response

string
discovery_type
Required
Constraints: default: SERVICE_NOW

The discovery type of the application. Allowed values are SERVICE_NOW and FLOW_BASED_DISCOVERY.

string
granularity
Optional

The granularity of the discovered applications. Only applies to flow based discovery. Allowed values are FINE, MEDIUM and COARSE.

boolean
fetch_member_counts
Optional

True, if member counts should be fetched.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns PagedApplicationListResponse of type(s) application/json
{
    "results": [
        {
            "entity_id": "1000:104:12213212",
            "name": "My Name",
            "entity_type": "VirtualMachine",
            "create_time": 159724400600,
            "created_by": "admin@local",
            "last_modified_time": 159724400600,
            "last_modified_by": "[email protected]",
            "last_modified_by_service": "Ensemble",
            "tier_count": 25,
            "member_count": 500,
            "update_status": "string",
            "confidence": "Medium"
        }
    ],
    "cursor": "MTA=",
    "total_count": 1102
}
array of results
results
Optional

Array of returned applications

string
cursor
Optional

Cursor for the next page

integer
total_count
Optional

Total number of objects in the system, despite the page limit


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


500

Internal error

Returns InternalErrorResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/ni/groups/discovered-applications/fetch?discovery_type=v